# -*- coding: utf-8 -*-
##################################################
# This file is part of WAPT Enterprise
# All right reserved, (c) Tranquil IT Systems 2023
# For more information please refer to
# https://wapt.tranquil.it/store/licences.html
##################################################
from setuphelpers import *


def install():
    ver = control.version.split("-")[0]
    bin_name = f"luanti-{ver}-macos.zip"

    run("mkdir /tmp/luanti")
    run(f"unzip {bin_name} -d /tmp/luanti")
    if not isdir("/Applications/luanti.app"):
        mkdirs("/Applications/luanti.app")
        run("mv /tmp/luanti/luanti.app/* /Applications/luanti.app")
        remove_tree("/tmp/luanti")
    else:
        run("rm -rf /Applications/luanti.app")
        mkdirs("/Applications/luanti.app")
        run("mv /tmp/luanti/luanti.app/* /Applications/luanti.app")
        remove_tree("/tmp/luanti")

def uninstall():
    remove_tree("/Applications/luanti.app")